#include <iostream>
using namespace std;

int main() {
    
    string T, S;
    cin >> T >> S;
    int t = T.length();
    int s = S.length();
    
    int array[s];
    
    for(int i = 0; i < s; i++){
        array[i] = 0;
    }
    
    for(int i = 0; i < s; i++){
        for(int j = 0; j < t; j++){
            if(S[i] == T[j]){
                array[i]++;
            }
        }
    }
    
    int min = array[0];
    
    for(int i = 1; i < s; i++){
        if(array[i] < min)
        min = array[i];
    }
    
    char c;
    
    for(int i = 0; i < s; i++){
        if(array[i] == min){
            c = S[i];
            break;
        }
        
    }
    cout << min << endl;
    
    for(int i = 0; i < t; i++){
        if(T[i] == c ){
            cout << "*";
        } else
            cout << T[i];
    }
    
}